/*! \file
 * \brief Utility functions for logging with Glib
 */

#ifndef ALOD_COMMON_LOGGING_H
#define ALOD_COMMON_LOGGING_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <glib.h>

extern "C" void alod_log_func(const gchar *log_domain,
                              GLogLevelFlags log_level,
                              const gchar *message,
                              gpointer user_data);

void alod_log_set_level(GLogLevelFlags l);

#endif /* ALOD_COMMON_LOGGING_H */
