#ifndef ALOD_RENDER_CORNERS_H
#define ALOD_RENDER_CORNERS_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassCorners : public RenderHelperClass
{
protected:
    CGprogram corner_vp, corner_fp;
    friend class RenderHelperCorners;
public:
    RenderHelperClassCorners() {}

    virtual RenderHelperType type() const { return RENDER_HELPER_OTHER; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void end_state();
};

#endif /* !ALOD_RENDER_CORNERS_H */
