#ifndef ALOD_RENDER_FACTORY_H
#define ALOD_RENDER_FACTORY_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"

struct FactoryItem
{
    const char *name;
    const char *accel;
    RenderHelperType type;
    RenderHelperClass *(*instantiate)();
};

extern const FactoryItem factory[];

#endif /* !ALOD_RENDER_FACTOR_H */
