#ifndef ALOD_RENDER_GEOMETRY_SSE_H
#define ALOD_RENDER_GEOMETRY_SSE_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/geometry.h"
#include "render/meshrender.h"
#include "geom/skeleton.h"
#include <GL/gl.h>
#include <vector>
#include <xmmintrin.h>

class RenderHelperClassGeometrySSE : public RenderHelperClassGeometry
{
private:
    //!< Prevent default construction
    RenderHelperClassGeometrySSE() : RenderHelperClassGeometry(false) {}
protected:
    virtual GLenum buffer_usage() { return GL_STREAM_DRAW; }
public:
    RenderHelperClassGeometrySSE(bool staged) : RenderHelperClassGeometry(staged) {}
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_GEOMETRY_SSE_H */
