#ifndef ALOD_RENDER_LIGHTING_NORMAL_H
#define ALOD_RENDER_LIGHTING_NORMAL_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/meshrender.h"
#include "render/interfaces.h"

class RenderHelperClassLightingNormal : public RenderHelperClass
{
protected:
    virtual std::string fragment_program_file() const { return "lighting_normal.cg"; }
    virtual std::string fragment_program_class() const { return "LightingNormalFP"; }
public:
    virtual RenderHelperType type() const { return RENDER_HELPER_LIGHTING; }
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_LIGHTING_NORMAL_H */
