#ifndef ALOD_RENDER_NORMAL_VERTEX_H
#define ALOD_RENDER_NORMAL_VERTEX_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/meshrender.h"
#include "render/interfaces.h"

class RenderHelperClassNormalVertex : public RenderHelperClass
{
protected:
    virtual std::string fragment_program_file() const { return "normal_vertex.cg"; }
    virtual std::string fragment_program_class() const { return "NormalVertexFP"; }

public:
    virtual RenderHelperType type() const { return RENDER_HELPER_NORMAL; }
    virtual int flags() const { return RENDER_FLAG_VERTEX_NORMALS; }
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_NORMAL_VERTEX_H */
