#ifndef ALOD_RENDER_SPHERES_H
#define ALOD_RENDER_SPHERES_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassSpheres : public RenderHelperClass
{
protected:
    CGprogram sphere_vp, sphere_fp;

    friend class RenderHelperSpheres;
public:
    RenderHelperClassSpheres() : RenderHelperClass() {}

    virtual RenderHelperType type() const { return RENDER_HELPER_OTHER; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
};

#endif /* !ALOD_RENDER_SPHERES_H */
