#!/bin/sh
set -e
set -x

# Does all processing on an already segmented model
if [ "$#" -lt 1 ] || [ ! -r "$1" ]; then
  echo "Usage: $0 <model.alm>"
  exit 1
fi

tools/meshedit -N -F -E -B -e -b -r "$1"
tools/parametrise -v -p 0 -l 0 "$1"
tools/meshedit -A "$1"
tools/simpler -v -m aps "$1"
tools/sampler -r 256 -s 4 -n "$1"
