#ifndef ALOD_RENDER_BONES_H
#define ALOD_RENDER_BONES_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassBones : public RenderHelperClass
{
private:
    CGprogram bones_vp, bones_fp;
    friend class RenderHelperBones;
public:
    RenderHelperClassBones() {}
    virtual RenderHelperType type() const { return RENDER_HELPER_OTHER; }
    virtual RenderHelper *new_instance(const RenderMesh &m);
    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
};

#endif /* !ALOD_RENDER_BONES_H */
