#ifndef ALOD_RENDER_GEOMETRY_COL_H
#define ALOD_RENDER_GEOMETRY_COL_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/geometry.h"
#include "render/meshrender.h"
#include "geom/skeleton.h"
#include <GL/gl.h>
#include <vector>
#include <xmmintrin.h>

class RenderHelperClassGeometryCol : public RenderHelperClassGeometry
{
private:
    friend class RenderHelperGeometryCol;
protected:
    virtual GLenum buffer_usage() { return GL_STREAM_DRAW; }
public:
    virtual RenderHelper *new_instance(const RenderMesh &m);
    RenderHelperClassGeometryCol() : RenderHelperClassGeometry(true) {}
};

#endif /* !ALOD_RENDER_GEOMETRY_COL_H */
