#ifndef ALOD_RENDER_NORMAL_NULL_H
#define ALOD_RENDER_NORMAL_NULL_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/meshrender.h"
#include "render/interfaces.h"

class RenderHelperClassNormalNull : public RenderHelperClass
{
protected:
    virtual std::string fragment_program_file() const { return "normal_null.cg"; }
    virtual std::string fragment_program_class() const { return "NormalNullFP"; }

public:
    virtual RenderHelperType type() const { return RENDER_HELPER_NORMAL; }
    virtual int flags() const { return 0; }
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_NORMAL_NULL_H */
