#!/bin/sh
set -e

if [ "$#" -lt 3 ] || [ ! -r "$1" ] || [ ! -r "$2" ]; then
  echo "Usage: $0 <md5mesh> <md5anim> <out>"
  exit 1
fi

tools/parametrise -3 -v -p 60 -c 0.05 -C 1.1 "$1:$2" "$3"
# tools/meshedit -b -e "$3"
tools/sampler -r 1024 -s 2 -t -M "$1:$2" "$3"
tools/sampler -r 512 -n "$3"
tools/simpler -m aps-nomem "$3"
